Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1335)
@@ -120,7 +120,7 @@
 				@Override
 				public void run() {
 					MessageBox messageBox = new MessageBox(Display.getDefault().getActiveShell(), SWT.ICON_QUESTION | SWT.YES | SWT.NO);
-					messageBox.setMessage(NLS.bind(TXMUIMessages.DeleteObject_0, selection.toList()));
+					messageBox.setMessage(NLS.bind(TXMUIMessages.deletingP0Continue, selection.toList()));
 					int response = messageBox.open();
 					if (response != SWT.YES) {
 						StatusLine.setMessage(""); //$NON-NLS-1$
@@ -158,7 +158,7 @@
 	 * @return 
 	 */
 	public synchronized static HashSet<Object> delete(final List<Object> objects) {
-		StatusLine.setMessage(NLS.bind(TXMUIMessages.DeleteObject_5, objects));
+		StatusLine.setMessage(NLS.bind(TXMUIMessages.deletingP0, objects));
 		
 		final HashSet<Object> allObjectDeleted = new HashSet<Object>();
 		shouldRestartToolbox = false;
@@ -168,14 +168,14 @@
 				List<Object> deleted = delete(o);
 				allObjectDeleted.addAll(deleted);
 				if (deleted.size() == 0) {
-					StatusLine.setMessage(TXMUIMessages.DeleteObject_3+" : "+o);
+					StatusLine.setMessage(TXMUIMessages.errorDDotDeleteReturnedFalse+" : "+o);
 					return new HashSet<Object>();
 				}
 				// remove results already deleted
 				objects.removeAll(deleted);
 			} catch(Exception e) {
-				Log.info(NLS.bind(TXMUIMessages.DeleteObject_4, o, e)); 
-				StatusLine.error(NLS.bind(TXMUIMessages.DeleteObject_4, o, e)); 
+				Log.info(NLS.bind(TXMUIMessages.errorWhileDeletingP0DDotP1, o, e)); 
+				StatusLine.error(NLS.bind(TXMUIMessages.errorWhileDeletingP0DDotP1, o, e)); 
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 				return new HashSet<Object>();
 			}
@@ -226,7 +226,7 @@
 	public static List<Object> delete(Object o) {
 		ArrayList<Object> deleted = new ArrayList<Object>();
 //		if (o instanceof TXMResult) {
-//			Log.info(NLS.bind(TXMUIMessages.DeleteObject_10, ((TXMResult) o).getName()));
+//			Log.info(NLS.bind(TXMUIMessages.deletedDDotP0, ((TXMResult) o).getName()));
 //
 //			try {
 //				if (o instanceof CQPCorpus) {
@@ -239,7 +239,7 @@
 //					deleted.addAll(c.getPartitions());
 //
 //					if (!((TXMResult) o).delete()) {
-//						Log.info(TXMUIMessages.DeleteObject_3);
+//						Log.info(TXMUIMessages.errorDDotDeleteReturnedFalse);
 //						return new ArrayList<Object>(0);
 //					}
 //				} else if (o instanceof Partition) {
@@ -249,7 +249,7 @@
 //						i--;
 //					}
 //					if (!((TXMResult) o).delete()) {
-//						Log.info(TXMUIMessages.DeleteObject_3);
+//						Log.info(TXMUIMessages.errorDDotDeleteReturnedFalse);
 //						return new ArrayList<Object>(0);
 //					}
 //				}
@@ -264,7 +264,7 @@
 			} else {
 				((TXMResult) o).delete();
 			}
-			Log.info(NLS.bind(TXMUIMessages.DeleteObject_10, ((TXMResult) o)));
+			Log.info(NLS.bind(TXMUIMessages.deletedDDotP0, ((TXMResult) o)));
 			deleted.add(o);
 		} else {
 			System.out.println("Cant delete: "+o);
@@ -304,4 +304,4 @@
 		}
 		return new IWorkbenchPage[0];
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/PasteFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/PasteFile.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/PasteFile.java	(revision 1335)
@@ -80,9 +80,9 @@
 				}
 				try {
 					if (!org.txm.utils.io.FileCopy.copy(source, dest))
-						System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest);
+						System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest);
 				} catch (IOException e) {
-					System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest+TXMUIMessages.PasteFile_4+e);
+					System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest+TXMUIMessages.dDot+e);
 				}
 			} else if (CutFile.toCut != null) {
 				File source = CutFile.toCut;
@@ -93,12 +93,12 @@
 				}
 				try {
 					if (!org.txm.utils.io.FileCopy.copy(source, dest))
-						System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest);
+						System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest);
 					if (!source.delete()) 
-						System.out.println(TXMUIMessages.PasteFile_3+source);
+						System.out.println(TXMUIMessages.failedToDelete+source);
 					CutFile.toCut = null;
 				} catch (IOException e) {
-					System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest+TXMUIMessages.PasteFile_4+e);
+					System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest+TXMUIMessages.dDot+e);
 				}
 			} else {
 				// check clipboard content
@@ -117,11 +117,11 @@
 							org.txm.utils.io.FileCopy.copyFiles(source, dest);
 						} else {
 							if (!org.txm.utils.io.FileCopy.copy(source, dest))
-								System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest);
+								System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest);
 						}
 						
 					} catch (IOException e) {
-						System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest+TXMUIMessages.PasteFile_4+e);
+						System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest+TXMUIMessages.dDot+e);
 					}
 				}
 			}
@@ -131,4 +131,4 @@
 			MacroExplorer.refresh();
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFolder.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFolder.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFolder.java	(revision 1335)
@@ -98,7 +98,7 @@
 		LastOpened.set(ID, newfile.getParent(), newfile.getName());
 		if (!newfile.exists() && newfile.getParentFile().canWrite()) {
 			if (newfile.mkdir())
-				System.out.println(NLS.bind(TXMUIMessages.CreateFolder_1, newfile.getAbsolutePath()));
+				System.out.println(NLS.bind(TXMUIMessages.newFolderDDotP0, newfile.getAbsolutePath()));
 
 		}
 		Explorer.refresh();
@@ -106,4 +106,4 @@
 
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java	(revision 1335)
@@ -72,15 +72,15 @@
 
 		Shell shell = new Shell();
 		MessageBox dialog = new MessageBox(shell, SWT.YES | SWT.NO);
-		dialog.setMessage(TXMUIMessages.DeleteFile_0+file+" ? ");  //$NON-NLS-1$
+		dialog.setMessage(TXMUIMessages.areYouSureYouWantToDeleteToSort+file+" ? ");  //$NON-NLS-1$
 
 		int buttonID = dialog.open();
 		switch(buttonID) {
 		case SWT.YES:
 			if (file.isFile()) {
-				if (!file.delete()) System.out.println(TXMUIMessages.DeleteFile_2+file);
+				if (!file.delete()) System.out.println(TXMUIMessages.failedToDeleteFile+file);
 			} else if (file.isDirectory()) {
-				if (!DeleteDir.deleteDirectory(file)) System.out.println(TXMUIMessages.DeleteFile_2+file);
+				if (!DeleteDir.deleteDirectory(file)) System.out.println(TXMUIMessages.failedToDeleteFile+file);
 			}
 			Explorer.refresh();
 			MacroExplorer.refresh();
@@ -95,7 +95,7 @@
 	public static void delete(List files) {
 		Shell shell = new Shell();
 		MessageBox dialog = new MessageBox(shell, SWT.YES | SWT.NO);
-		dialog.setMessage(TXMUIMessages.DeleteFile_0+files+" ? ");  //$NON-NLS-1$
+		dialog.setMessage(TXMUIMessages.areYouSureYouWantToDeleteToSort+files+" ? ");  //$NON-NLS-1$
 		
 		int buttonID = dialog.open();
 		switch(buttonID) {
@@ -105,9 +105,9 @@
 					File file = (File) o;
 					if (file.exists())
 					if (file.isFile()) {
-						if (!file.delete()) System.out.println(TXMUIMessages.DeleteFile_2+file);
+						if (!file.delete()) System.out.println(TXMUIMessages.failedToDeleteFile+file);
 					} else if (file.isDirectory()) {
-						if (!DeleteDir.deleteDirectory(file)) System.out.println(TXMUIMessages.DeleteFile_2+file);
+						if (!DeleteDir.deleteDirectory(file)) System.out.println(TXMUIMessages.failedToDeleteFile+file);
 					}
 				}
 			}
@@ -122,4 +122,4 @@
 		
 		
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java	(revision 1335)
@@ -107,7 +107,7 @@
 		if (!newfile.exists() && newfile.getParentFile().canWrite()) {
 			try {
 				if (newfile.createNewFile()) {
-					System.out.println(NLS.bind(TXMUIMessages.CreateFile_1, newfile.getAbsolutePath()));
+					System.out.println(NLS.bind(TXMUIMessages.newFileDDotP0, newfile.getAbsolutePath()));
 					//OpenFile.openfile(newfile);
 				}
 			} catch (IOException e) {
@@ -119,4 +119,4 @@
 		MacroExplorer.refresh();
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/RenameFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/RenameFile.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/RenameFile.java	(revision 1335)
@@ -68,17 +68,17 @@
 	public static void rename(File file) {
 		String newname = file.getName();
 		InputDialog dlg = new InputDialog(new Shell(),
-				TXMUIMessages.RenameFile_0, TXMUIMessages.RenameFile_0+newname, newname, null);
+				TXMUIMessages.renameFile, TXMUIMessages.renameFile+newname, newname, null);
 		if (dlg.open() == Window.OK) {
 			newname = dlg.getValue();
-			System.out.println(TXMUIMessages.RenameFile_2+newname);
+			System.out.println(TXMUIMessages.renamingByDDot+newname);
 			if (newname.equals(file.getName())) return; // nothing to do
 			if (newname == null || newname.trim().length() == 0) return; // error
 			
 			if (!file.renameTo(new File(file.getParentFile(), newname)))
-				System.out.println(TXMUIMessages.RenameFile_3+file+TXMUIMessages.ApplicationWorkbenchAdvisor_37+newname);
+				System.out.println(TXMUIMessages.failedToRename+file+TXMUIMessages.to+newname);
 			Explorer.refresh();
 			MacroExplorer.refresh();
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 1335)
@@ -176,7 +176,7 @@
 		// check script
 		final File scriptfile = new File(scriptpath);
 		if (!scriptfile.exists()) {
-			System.err.println(NLS.bind(TXMUIMessages.ExecuteScriptImport_1, scriptpath));
+			System.err.println(NLS.bind(TXMUIMessages.p0ScriptFileDoesntExist, scriptpath));
 			return;
 		}
 		ExecuteLastGroovyScript.setLastScript(scriptfile, currentRootDir.getName().equals("macro")); // register last groovy script //$NON-NLS-1$
@@ -205,7 +205,7 @@
 		String dir = currentRootDir.getAbsolutePath();
 		String path = scriptfile.getAbsolutePath();
 		if (!path.startsWith(dir)) {
-			System.out.println(TXMUIMessages.bind(TXMUIMessages.ExecuteGroovyScriptFromFile_2, dir, path));
+			System.out.println(TXMUIMessages.bind(TXMUIMessages.theP1GroovyScriptMustBeInTheP0Folder, dir, path));
 			return;
 		}
 		final String relativepath = path.substring(dir.length()+1);
@@ -214,12 +214,12 @@
 			
 		//}
 
-		JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.ExecuteScript_0, scriptfile.getName())) {
+		JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.executionOfP0, scriptfile.getName())) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				//this.setCurrentMonitor(monitor);
-				monitor.beginTask(NLS.bind(TXMUIMessages.ExecuteScript_0, scriptfile.getName()), 100);
+				monitor.beginTask(NLS.bind(TXMUIMessages.executionOfP0, scriptfile.getName()), 100);
 
 				try {
 					gse = GSERunner.buildDefaultGSE();
@@ -238,22 +238,22 @@
 					binding.setProperty("MONITOR", this); //$NON-NLS-1$
 					binding.setProperty("gse", gse);
 					
-					System.out.println(NLS.bind(TXMUIMessages.ExecuteScript_11, scriptfile.getName()));
+					System.out.println(NLS.bind(TXMUIMessages.executingGroovyScript, scriptfile.getName()));
 					long time = System.currentTimeMillis();
 					System.out.println(relativepath);
 					gse.run(relativepath, binding);
 					
-					System.out.println(TXMUIMessages.bind(TXMUIMessages.ExecuteScript_12, System.currentTimeMillis()-time));
+					System.out.println(TXMUIMessages.bind(TXMUIMessages.doneP0Ms, System.currentTimeMillis()-time));
 				} catch (ThreadDeath td) {
 					return Status.CANCEL_STATUS;
 				} catch (UIParameterException e) {
 					if (e.isError()) {
-						System.out.println(TXMUIMessages.ExecuteGroovyScript_1);
+						System.out.println(TXMUIMessages.errorDuringParametersInitialisation);
 					} else {
-						System.out.println(TXMUIMessages.ExecuteGroovyScript_2);
+						System.out.println(TXMUIMessages.theUserCanceledTheScriptExecution);
 					}
 				} catch (Exception e) {
-					System.out.println(TXMUIMessages.ExecuteGroovyScript_9+e);
+					System.out.println(TXMUIMessages.errorDuringScriptExecutionDDot+e);
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				} finally {
 					monitor.done();			
@@ -339,4 +339,4 @@
 		 * {org.txm.rcp.utils.Logger.printStackTrace(e);}
 		 */
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 1335)
@@ -103,7 +103,7 @@
 	 */
 	public static Object executeText(final String text, final String scriptfile) {
 		if (!new File(scriptfile).exists()) {
-			System.err.println(NLS.bind(TXMUIMessages.ExecuteScriptImport_1, scriptfile));
+			System.err.println(NLS.bind(TXMUIMessages.p0ScriptFileDoesntExist, scriptfile));
 			return null;
 		}
 		final String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts";
@@ -153,7 +153,7 @@
 					System.out.println("Executing text selection..."); //$NON-NLS-1$
 					long time = System.currentTimeMillis();
 					shell.evaluate(text);
-					Log.info(NLS.bind(TXMUIMessages.ExecuteScript_12, (System.currentTimeMillis() - time)));
+					Log.info(NLS.bind(TXMUIMessages.doneP0Ms, (System.currentTimeMillis() - time)));
 				} catch (ThreadDeath td) { 
 					return Status.CANCEL_STATUS;
 				} catch (CompilationFailedException e) {
@@ -168,4 +168,4 @@
 		jobhandler.startJob();
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteLastGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteLastGroovyScript.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteLastGroovyScript.java	(revision 1335)
@@ -77,19 +77,19 @@
 	public static void execute(IWorkbenchPart page, ISelection selection) {
 		if (lastScript == null) return; // no last script
 		if (macro)
-			System.out.println(TXMUIMessages.ExecuteLastGroovyScript_0+lastScript);
+			System.out.println(TXMUIMessages.executingLastMacroDDot+lastScript);
 		else 
-			System.out.println(TXMUIMessages.ExecuteLastGroovyScript_1+lastScript);
+			System.out.println(TXMUIMessages.executingLastScriptDDot+lastScript);
 		
 		//IPreferencesService service = Platform.getPreferencesService();
 		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 		File currentRootDir = new File(scriptRootDir, "groovy/user"); //$NON-NLS-1$
 		
 		if (!currentRootDir.exists()) {
-			System.out.println(TXMUIMessages.ExecuteLastGroovyScript_3+currentRootDir);
+			System.out.println(TXMUIMessages.errorDDotCurrentGroovyScriptDirectoryDoesNotExistDDot+currentRootDir);
 			return;
 		}
 		
 		ExecuteGroovyScript.executeScript(currentRootDir, lastScript.getAbsolutePath(), page, selection, false);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 1335)
@@ -138,21 +138,21 @@
 		}
 		
 		Display.getDefault().syncExec(new Runnable() {
-			public void run() {	StatusLine.setMessage(TXMUIMessages.ExecuteScriptImport_0); }
+			public void run() {	StatusLine.setMessage(TXMUIMessages.importStarted); }
 		});
 
 		final String txmhome = Toolbox.getTxmHomePath();
 		final File corporadir = new File(txmhome,"corpora"); //$NON-NLS-1$
 		corporadir.mkdir(); // the binary corpus are stored here
 		if (!corporadir.exists()) {
-			System.out.println(TXMUIMessages.ExecuteScriptImport_2+corporadir);
-			Log.severe(TXMUIMessages.ExecuteScriptImport_2+corporadir);
+			System.out.println(TXMUIMessages.errorDDotCorporaDirectoryDoesntExistDDot+corporadir);
+			Log.severe(TXMUIMessages.errorDDotCorporaDirectoryDoesntExistDDot+corporadir);
 			return null;
 		}
 		
 		if (CQPSearchEngine.isInitialized()) Toolbox.getEngineManager(EngineType.SEARCH).stopEngines();
 		
-		JobHandler jobhandler = new JobHandler(TXMUIMessages.RunGroovyScript_0
+		JobHandler jobhandler = new JobHandler(TXMUIMessages.scriptExecution
 				+ project.getImportModuleName()) { //$NON-NLS-1$
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -214,5 +214,4 @@
 		return BundleUtils.replaceFilesIfNewer("org.txm.groovy.core", "src/groovy", scriptPackage, 
 				script.getName(), script);
 	}
-}
-
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java	(revision 1335)
@@ -96,7 +96,7 @@
 		
 		//ask new file name
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
-		InputDialog dialog = new InputDialog(shell, TXMUIMessages.CreateMacro_0, TXMUIMessages.CreateMacro_1, "", null); //$NON-NLS-1$
+		InputDialog dialog = new InputDialog(shell, TXMUIMessages.macroName, TXMUIMessages.pleaseWriteTheMacroName, "", null); //$NON-NLS-1$
 		
 		dialog.open();
 		String name = dialog.getValue();
@@ -138,7 +138,7 @@
 		if (!newfile.exists() && newfile.getParentFile().canWrite()) {
 			try {
 				if (newfile.createNewFile()) {
-					System.out.println(NLS.bind(TXMUIMessages.CreateFile_1, newfile.getAbsolutePath()));
+					System.out.println(NLS.bind(TXMUIMessages.newFileDDotP0, newfile.getAbsolutePath()));
 					
 					PrintWriter writer = IOUtils.getWriter(newfile, "UTF-8"); //$NON-NLS-1$
 					writer.println("// STANDARD DECLARATIONS"); //$NON-NLS-1$
@@ -204,4 +204,4 @@
 		
 		return true;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java	(revision 1335)
@@ -128,15 +128,15 @@
 				boolean doit = RCPPreferences.getInstance().getBoolean(RCPPreferences.SAVE_BEFORE_EXECUTION);
 				//System.out.println("Save file? "+doit);
 				if (!doit) { // ask user
-					MessageDialog dialog = new MessageDialog(shell, TXMUIMessages.ExecuteScript_0+result, null,
-							TXMUIMessages.ExecuteScript_1, MessageDialog.QUESTION, new String[] {TXMUIMessages.ExecuteScript_2, TXMUIMessages.ExecuteScript_4,
-									TXMUIMessages.ExecuteScript_5}, 0) {
+					MessageDialog dialog = new MessageDialog(shell, TXMUIMessages.executionOfP0+result, null,
+							TXMUIMessages.saveFileBeforeExecution, MessageDialog.QUESTION, new String[] {TXMUIMessages.saveAndRun, TXMUIMessages.abort,
+									TXMUIMessages.dontSaveAndRun}, 0) {
 						Button checkDefault;
 						@Override
 						protected Control createDialogArea(Composite parent) {
 							Composite container = (Composite) super.createDialogArea(parent);
 							checkDefault = new Button(container, SWT.CHECK);
-							checkDefault.setText(TXMUIMessages.ExecuteScript_6);
+							checkDefault.setText(TXMUIMessages.alwaysSaveBeforeLaunching);
 							boolean b = RCPPreferences.getInstance().getBoolean(RCPPreferences.SAVE_BEFORE_EXECUTION);
 							checkDefault.setSelection(b);
 
@@ -156,7 +156,7 @@
 					};
 					int c = dialog.open();
 					if (c == 1) {
-						System.out.println(TXMUIMessages.ExecuteScript_7);
+						System.out.println(TXMUIMessages.executionCanceled);
 						return null;
 					} else if (c == 2) {
 						//System.out.println("Don't save and run.");
@@ -204,8 +204,8 @@
 				env.put("selection", selection); // selection
 				se.executeScript(script, env);
 			} else {
-				System.out.println(TXMUIMessages.ExecuteScript_3+script.getName());
+				System.out.println(TXMUIMessages.noInterpreterFoundForScriptFileExtension+script.getName());
 			}
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteText.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteText.java	(revision 1335)
@@ -88,8 +88,8 @@
 			System.out.println("Execute R text selection not implemented");
 			//ExecuteRText.executeText(text);
 		} else {
-			System.out.println(TXMUIMessages.ExecuteScript_3+script.getName());
+			System.out.println(TXMUIMessages.noInterpreterFoundForScriptFileExtension+script.getName());
 		}
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/DownloadJobHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/DownloadJobHandler.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/DownloadJobHandler.java	(revision 1335)
@@ -57,7 +57,7 @@
 	protected IStatus run(final IProgressMonitor monitor) {
 		this.runInit(monitor);
 		//this.setCurrentMonitor(monitor);
-		monitor.beginTask(TXMUIMessages.DownloadJobHandler_0, contentLength);
+		monitor.beginTask(TXMUIMessages.downloading, contentLength);
 		long size = file.length();
 		while (!done) {
 			try {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/OpenURI.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/OpenURI.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/OpenURI.java	(revision 1335)
@@ -50,7 +50,7 @@
 		try
 		{
 			if ( !java.awt.Desktop.isDesktopSupported() ) {
-				System.err.println( TXMUIMessages.OpenURI_0 );
+				System.err.println( TXMUIMessages.desktopIsNotSupportedFatal );
 				return false;
 			}
 
@@ -75,7 +75,7 @@
 		catch(Exception e)
 		{
 			System.out.println(e.getLocalizedMessage());
-			StatusLine.error(NLS.bind(TXMUIMessages.OpenURI_1, file));
+			StatusLine.error(NLS.bind(TXMUIMessages.errorWhileOpeningFileP0, file));
 		}
 		return false;
 	}
@@ -88,7 +88,7 @@
 	 */
 	public static boolean browse(File file) {
 		if ( !java.awt.Desktop.isDesktopSupported() ) {
-			System.err.println( TXMUIMessages.OpenURI_0 );
+			System.err.println( TXMUIMessages.desktopIsNotSupportedFatal );
 			return false;
 		}
 		
@@ -107,4 +107,4 @@
 		return false;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 1335)
@@ -90,7 +90,7 @@
 		values.add("fr"); //$NON-NLS-1$
 		values.add("en"); //$NON-NLS-1$
 		values.add("ru"); //$NON-NLS-1$
-		ComboDialog d = new ComboDialog(shell, TXMUIMessages.LanguageSwitchHandler_3, values,
+		ComboDialog d = new ComboDialog(shell, TXMUIMessages.chooseTheLanguage, values,
 				service.getString(Application.PLUGIN_ID,
 						RCPPreferences.UI_LOCALE, "fr", null)); //$NON-NLS-1$
 		if (d.open() == Window.OK) {
@@ -101,7 +101,7 @@
 		String locale = service.getString(Application.PLUGIN_ID,
 				RCPPreferences.UI_LOCALE, "fr", null); //$NON-NLS-1$
 		if (locale.length() == 0)
-			Log.warning(TXMUIMessages.LanguageSwitchHandler_0);
+			Log.warning(TXMUIMessages.interfaceLanguageLOCALEWasNotSet);
 		// Does not work:
 		//System.getProperties().setProperty("eclipse.exitdata", "-nl " + locale);
 		//changeLocaleTXMIni(locale);
@@ -130,22 +130,22 @@
 			String path = System.getProperty("osgi.instance.area"); //$NON-NLS-1$
 			location = new URL(path + "TXM.ini"); //$NON-NLS-1$
 		} catch (MalformedURLException e) {
-			System.err.println(NLS.bind(TXMUIMessages.LanguageSwitchHandler_5, location));
+			System.err.println(NLS.bind(TXMUIMessages.switchLanguageDDotMalformedUrlDDotP0, location));
 			return;
 		}
 		
 		String fileName = location.getFile();
 		File file = new File(fileName);
 		if (!file.exists()) {
-			MessageBox.error(NLS.bind(TXMUIMessages.LanguageSwitchHandler_1, file.getAbsolutePath()));
+			MessageBox.error(NLS.bind(TXMUIMessages.theFileP0DoesNotExist, file.getAbsolutePath()));
 			return;
 		}
 		fileName += ".bak"; //$NON-NLS-1$
 		file.renameTo(new File(fileName));
 		
 		// update TXM.ini
-		System.out.println(TXMUIMessages.LanguageSwitchHandler_7+location);
-		Log.severe(TXMUIMessages.LanguageSwitchHandler_7+location);
+		System.out.println(TXMUIMessages.tXMiniDDot+location);
+		Log.severe(TXMUIMessages.tXMiniDDot+location);
 		try {
 
 			BufferedReader in = new BufferedReader(new FileReader(fileName));
@@ -233,7 +233,7 @@
 
 		File file = new File(fileName);
 		if (!file.exists()) {
-			MessageBox.error(NLS.bind(TXMUIMessages.LanguageSwitchHandler_1, file.getAbsolutePath()));
+			MessageBox.error(NLS.bind(TXMUIMessages.theFileP0DoesNotExist, file.getAbsolutePath()));
 			return;
 		}
 		String fileNameBackup = fileName + ".bak"; //$NON-NLS-1$
@@ -291,4 +291,4 @@
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 1335)
@@ -237,22 +237,22 @@
 		if (!this.canBeInterrupted) // Prevent thread system interruption (ThreadDeath not handled by the programmer)
 			return;
 		
-		Log.info(this.getName() + TXMUIMessages.JobHandler_2);
+		Log.info(this.getName() + TXMUIMessages.cancelingRequested);
 		
 		try {
-			System.out.println(TXMUIMessages.JobHandler_1 + " " + this.getName()); //$NON-NLS-1$
+			System.out.println(TXMUIMessages.canceling_2 + " " + this.getName()); //$NON-NLS-1$
 			this.syncExec(new Runnable() {
 				@Override
 				public void run() {
-					StatusLine.setMessage(TXMUIMessages.JobHandler_0);
+					StatusLine.setMessage(TXMUIMessages.canceling);
 				}
 			});
-			if (currentMonitor != null) this.currentMonitor.setTaskName(TXMUIMessages.JobHandler_0);
+			if (currentMonitor != null) this.currentMonitor.setTaskName(TXMUIMessages.canceling);
 			this.mySemaphore.acquire();
 			this.myThread.stop();
 		} catch (Exception e) {
 			org.txm.rcp.utils.Logger.printStackTrace(e);
-			Log.severe(TXMUIMessages.JobHandler_3 + this.getName());
+			Log.severe(TXMUIMessages.failedToCancel + this.getName());
 		}
 	}
 
@@ -284,4 +284,4 @@
 	public void setTaskName(String name) {
 		if (currentMonitor != null) currentMonitor.setTaskName(name);
 	}
-}
+}
\ No newline at end of file
